Qore PgsqlSqlUtil Module Reference: PgsqlDatabase Class Reference

Qore PgsqlSqlUtil Module Reference 1.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Static Public Member Functions | Public Attributes | Private Member Functions | List of all members
PgsqlDatabase Class Reference

provides the PostgreSQL-specific implementation of the AbstractDatabase interface More...

Inherits AbstractDatabase.

## Static Public Member Functions
static any | tryExecArgs (AbstractDatasource ds, string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
static any | tryExecRaw (AbstractDatasource ds, string sql)
| tries to execute a command so that if an error occurs the current transaction status is not lost

## Public Attributes
const | PgsqlSchemaDescriptionOptions
| PostgreSQL-specific schema description keys.

## Private Member Functions
hash | getSchemaDescriptionOptions ()
| returns driver-specific options to the base abstract class
list | listFunctionsImpl ()
| returns a list of string function names in the database More...
list | listProceduresImpl ()
| since PostgreSQL only supports functions, this method is identical to listFunctionsImpl() More...
list | listTablesImpl ()
| returns a list of string table names in the database
bool | supportsSequencesImpl ()
| returns True if the database supports sequences
any | tryExecArgsImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
any | tryExecRawImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost

## Detailed Description

provides the PostgreSQL-specific implementation of the AbstractDatabase interface

## Member Function Documentation

list PgsqlDatabase::listFunctionsImpl | ( |  | ) |
| private

returns a list of string function names in the database

The function names will include arguments in parentheses after the names

Returns
  a list of string function names in the database

list PgsqlDatabase::listProceduresImpl | ( |  | ) |
| private

since PostgreSQL only supports functions, this method is identical to listFunctionsImpl()

See Also
  listFunctionsImpl()